package net.northking.cctp.project.dto.project;

import io.swagger.annotations.ApiModelProperty;

public class ProMobQueryDto {

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("系统id")
    private String projectId;

    @ApiModelProperty("系统名称")
    private String name;

    @ApiModelProperty("父系统id")
    private String parentId;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("是否租户管理员")
    private Boolean admin;

    private String idPath;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdPath() {
        return idPath;
    }

    public void setIdPath(String idPath) {
        this.idPath = idPath;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Boolean getAdmin() {
        return admin;
    }

    public void setAdmin(Boolean admin) {
        this.admin = admin;
    }
}
